// priority: 0

// Visit the wiki for more info - https://kubejs.com/

// made by blueversal

ServerEvents.recipes(event => {
    event.remove({ id: 'minecraft:netherite_upgrade_smithing_template' })
});

ServerEvents.recipes(event => {
    event.shaped('minecraft:netherite_upgrade_smithing_template', [
      'cAc',
      'cCc',
      'ccc'
    ], {
      c: 'rubinated_nether:ruby',  
      C: 'minecraft:obsidian',
      A: 'minecraft:netherite_upgrade_smithing_template'
    }).result('2x minecraft:netherite_upgrade_smithing_template');
});

ServerEvents.recipes(event => {
    event.shaped('minecraft:netherite_upgrade_smithing_template', [
      'cAc',
      'cCc',
      'ccc'
    ], {
      c: 'terramity:ruby',  
      C: 'minecraft:obsidian',
      A: 'minecraft:netherite_upgrade_smithing_template'
    }).result('2x minecraft:netherite_upgrade_smithing_template');
});

ServerEvents.recipes(event => {
    event.remove({ id: 'enchantinginfuser:advanced_enchanting_infuser' })
});

ServerEvents.recipes(event => { 
                                                                                                                                                                                                                                 // made by blueversal
  event.shaped('enchantinginfuser:advanced_enchanting_infuser', [
      ' B ',
      'NSN',
      'CEC'
  ], {
      B: 'minecraft:book',         
      N: 'minecraft:netherite_ingot',         
      S: 'minecraft:nether_star',       
      C: 'minecraft:lodestone',
      E: 'enchantinginfuser:enchanting_infuser',
  });
});

ServerEvents.recipes(event => {
    event.remove({ id: 'enchantinginfuser:enchanting_infuser' })
});

ServerEvents.recipes(event => { 
  event.shaped('enchantinginfuser:enchanting_infuser', [
      ' B ',
      'ScZ',
      'GEI',
  ], {
      B: 'minecraft:book',        
      G: 'aether:ambrosium_shard', 
      I: 'deep_aether:skyjade',      
      S: 'aether_redux:gravitite_ingot',
      c: 'terramity:prismatic_jewel',  
      Z: 'aether_redux:veridium_ingot',
      E: 'minecraft:enchanting_table',
  });
});
